Delete Deployment
- DELETE /deployments/{deployment_id}
Deletes a Deployment and all its resources.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
Responses
The request was valid and the deployment was deleted.
-
idstringrequired -
The id of the deployment
-
namestringrequired -
The name of the deployment
-
orphanedOrphaned -
Details about orphaned resources.
-
elasticsearchOrphanedElasticsearchrequired -
List of orphaned Elasticsearch resources
-
idstringrequired -
The id of the orphaned resource
-
dependentsElasticsearchDependantrequired -
List of orphaned dependent resources
-
kibanastringrequired -
List of orphaned Kibana resource ids
-
apmstringrequired -
List of orphaned APM resource ids
-
appsearchstringrequired -
List of orphaned AppSearch resource ids
-
enterprise_searchstringrequired -
List of orphaned Enterprise Search resource ids
-
integrations_serverstringrequired -
List of orphaned Integrations Server resource ids
The Deployment resources have not been shutdown yet.
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
You are not authorized to perform this action.
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response